Bug 1301382 - Terminator does not use KDE's default browser setting
Terminator does not use KDE's default browser setting
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: terminator (Show other bugs)
25
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-24 12:14 EST by Randy Barlow
Modified: 2017-03-09 07:49 EST (History)
2 users (show)

See Also:
Fixed In Version: terminator-1.90-1.fc25 terminator-1.91-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-09 07:49:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2016-01-24 12:14:05 EST
Description of problem:
I have my default browser set to Seamonkey in KDE, but when I click on links in Terminator they open in Firefox. xdg-open does do the right thing, so I suspect that Terminator is using some other setting to determine which browser to use.

I am unsure if this would be a packaging issue, or an issue with upstream. If you believe it to be an upstream issue, say the word and I will file it there and link here for you.
Comment 1 Fedora Update System 2016-11-24 05:42:05 EST
terminator-1.90-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ec937ddb3c
Comment 2 Fedora Update System 2016-11-24 05:42:36 EST
terminator-1.90-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-082f9377fd
Comment 3 Fedora End Of Life 2016-11-24 10:09:11 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Bernie Innocenti 2016-11-24 14:44:37 EST
This bug is still present in stock F25 and even the GTK3 branch of Terminator. I think it affects all GTK applications.

Here is a work around: open gnome-control-center, then go to the Details panel and changing the default application for Web. Note that xdg-open honors the default browser chosen in KDE because it reads ~/.config/mimeapps.list. Perhaps GTK could be fixed to do the same when Gnome isn't running?

if you agree that this is not a Terminator-specific bug, please reassign this to GTK (or file a new bug).
Comment 5 Fedora Update System 2016-11-25 04:40:08 EST
terminator-1.90-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ec937ddb3c
Comment 6 Fedora Update System 2016-11-25 04:43:16 EST
terminator-1.90-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-082f9377fd
Comment 7 Fedora Update System 2016-11-30 00:29:15 EST
terminator-1.90-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-12-04 10:57:52 EST
terminator-1.90-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-77620715b6
Comment 9 Fedora Update System 2016-12-05 22:59:52 EST
terminator-1.90-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-77620715b6
Comment 10 Fedora Update System 2017-02-27 05:51:40 EST
terminator-1.91-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e906b78dcf
Comment 11 Fedora Update System 2017-02-27 18:52:03 EST
terminator-1.91-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e906b78dcf
Comment 12 Fedora Update System 2017-03-09 07:49:18 EST
terminator-1.91-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.